Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Protected Member Functions | List of all members
eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand Class Reference
Inheritance diagram for eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand:

## Protected Member Functions
| configure ()
| execute (InputInterface $input, OutputInterface $output)
| checkStorage ()
| Checks that configured storage engine is Legacy Storage Engine. More...
| confirmExecution (InputInterface $input, OutputInterface $output)
| executeList (OutputInterface $output, $totalCount)
| getAvailableActions ()
| isValidAction ($action)

## Detailed Description

Definition at line 18 of file CleanUpRelationTypeEqZeroCommand.php.

## Member Function Documentation

## ◆ checkStorage()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand::checkStorage | ( |  | ) |
| protected

Checks that configured storage engine is Legacy Storage Engine.

Definition at line 83 of file CleanUpRelationTypeEqZeroCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand\execute().

## ◆ configure()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand::configure | ( |  | ) |
| protected

Definition at line 20 of file CleanUpRelationTypeEqZeroCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand\execute(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand\getAvailableActions().

## ◆ confirmExecution()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand::confirmExecution | ( | InputInterface | $input,
|  | OutputInterface | $output
| ) |  |
| protected

Definition at line 94 of file CleanUpRelationTypeEqZeroCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand\execute().

## ◆ execute()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand::execute | ( | InputInterface | $input,
|  | OutputInterface | $output
| ) |  |
| protected

Definition at line 44 of file CleanUpRelationTypeEqZeroCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand\checkStorage(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand\confirmExecution(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand\executeList(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand\getAvailableActions(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand\isValidAction().

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand\configure().

## ◆ executeList()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand::executeList | ( | OutputInterface | $output,
|  |  | $totalCount
| ) |  |
| protected

Definition at line 110 of file CleanUpRelationTypeEqZeroCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand\execute().

## ◆ getAvailableActions()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand::getAvailableActions | ( |  | ) |
| protected

Definition at line 149 of file CleanUpRelationTypeEqZeroCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand\configure(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand\execute(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand\isValidAction().

## ◆ isValidAction()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand::isValidAction | ( |  | $action | ) |
| protected

Definition at line 154 of file CleanUpRelationTypeEqZeroCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand\getAvailableActions().

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\CleanUpRelationTypeEqZeroCommand\execute().

The documentation for this class was generated from the following file:

- CleanUpRelationTypeEqZeroCommand.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.